# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       gstreamer
Summary:    GStreamer streaming media framework runtime
Version:    0.10.36
Release:    0
Group:      Applications/Multimedia
License:    LGPLv2+
URL:        http://gstreamer.freedesktop.org/
Source0:    http://gstreamer.freedesktop.org/src/gstreamer/%{name}-%{version}.tar.xz
Source100:  gstreamer.yaml
Patch0:     reduce-wakeups-from-idle.patch
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  check
BuildRequires:  python


%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.



%package devel
Summary:    Development tools for GStreamer
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer. If you plan to develop applications
with GStreamer, consider installing the gstreamer-devel-docs package and the
documentation packages for any plugins you intend to use.


%package devel-docs
Summary:    API reference for GStreamer
Group:      Documentation
Requires:   %{name} = %{version}-%{release}

%description devel-docs
This package contains developer documentation for the GStreamer streaming
media framework.


%package tools
Summary:    Common tools and files for GStreamer streaming media framework
Group:      Applications/Multimedia
Requires:   %{name} = %{version}-%{release}

%description tools
This package contains wrapper scripts for the command-line tools that work
with different major/minor versions of GStreamer.



%prep
%setup -q -n %{name}-%{version}

# reduce-wakeups-from-idle.patch
%patch0 -p1
# >> setup
# << setup

%build
# >> build pre
export CFLAGS="-DG_DISABLE_ASSERT -DG_DISABLE_CAST_CHECKS"
# << build pre

%configure --disable-static \
    --with-package-name='Mer GStreamer package' \
    --with-package-origin='http://www.merproject.org/' \
    --disable-dependency-tracking \
    --disable-examples \
    --disable-tests \
    --disable-valgrind \
    --disable-debug \
    --disable-nls \
    --disable-loadsave \
    --disable-introspection \
    --with-buffer-alignment=pagesize

make %{?jobs:-j%jobs}

# >> build post
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
# << install post



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig











%files
%defattr(-,root,root,-)
# >> files
%doc AUTHORS COPYING NEWS README RELEASE TODO
%{_libdir}/libgstreamer-0.10.so.*
%{_libdir}/libgstbase-0.10.so.*
%{_libdir}/libgstcontroller-0.10.so.*
%{_libdir}/libgstdataprotocol-0.10.so.*
%{_libdir}/libgstnet-0.10.so.*
%{_libdir}/libgstcheck-0.10.so.*
%dir %{_libdir}/gstreamer-0.10
%{_libdir}/gstreamer-0.10/libgstcoreelements.so
%{_libdir}/gstreamer-0.10/libgstcoreindexers.so
%dir %{_libexecdir}/gstreamer-0.10
%{_libexecdir}/gstreamer-0.10/gst-plugin-scanner
%{_bindir}/gst-feedback-0.10
%{_bindir}/gst-inspect-0.10
%{_bindir}/gst-launch-0.10
%{_bindir}/gst-typefind-0.10
%{_bindir}/gst-xmlinspect-0.10
%doc %{_mandir}/man1/gst-feedback-0.10.*
%doc %{_mandir}/man1/gst-inspect-0.10.*
%doc %{_mandir}/man1/gst-launch-0.10.*
%doc %{_mandir}/man1/gst-typefind-0.10.*
%doc %{_mandir}/man1/gst-xmlinspect-0.10.*
# << files


%files devel
%defattr(-,root,root,-)
# >> files devel
%dir %{_includedir}/gstreamer-0.10
%dir %{_includedir}/gstreamer-0.10/gst
%{_includedir}/gstreamer-0.10/gst/*.h
%{_includedir}/gstreamer-0.10/gst/base
%{_includedir}/gstreamer-0.10/gst/check
%{_includedir}/gstreamer-0.10/gst/controller
%{_includedir}/gstreamer-0.10/gst/dataprotocol
%{_includedir}/gstreamer-0.10/gst/net
%{_datadir}/aclocal/gst-element-check-0.10.m4
%{_libdir}/libgstreamer-0.10.so
%{_libdir}/libgstbase-0.10.so
%{_libdir}/libgstcontroller-0.10.so
%{_libdir}/libgstdataprotocol-0.10.so
%{_libdir}/libgstnet-0.10.so
%{_libdir}/libgstcheck-0.10.so
%{_libdir}/pkgconfig/gstreamer-0.10.pc
%{_libdir}/pkgconfig/gstreamer-base-0.10.pc
%{_libdir}/pkgconfig/gstreamer-controller-0.10.pc
%{_libdir}/pkgconfig/gstreamer-check-0.10.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-0.10.pc
%{_libdir}/pkgconfig/gstreamer-net-0.10.pc
# << files devel

%files devel-docs
%defattr(-,root,root,-)
# >> files devel-docs
%doc %{_datadir}/gtk-doc/html/gstreamer-0.10/*
%doc %{_datadir}/gtk-doc/html/gstreamer-libs-0.10/*
%doc %{_datadir}/gtk-doc/html/gstreamer-plugins-0.10/*
# << files devel-docs

%files tools
%defattr(-,root,root,-)
# >> files tools
%{_bindir}/gst-feedback
%{_bindir}/gst-inspect
%{_bindir}/gst-launch
%{_bindir}/gst-typefind
%{_bindir}/gst-xmlinspect
#%{_bindir}/gst-xmllaunch
# << files tools

